Debian Bug report logs - #186299
[fixed in 3.3] [PR 10315] [powerpc] ICE: in extract_insn, at recog.c:2175 building php3

version graph

Package: gcc-3.2; Maintainer for gcc-3.2 is (unknown);

Reported by: Adam Conrad <adconrad@0c3.net>

Date: Tue, 25 Mar 2003 23:03:02 UTC

Severity: important

Found in version 1:3.2.3-0pre6

Fixed in version gcc-3.3/1:3.3ds9-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR10315

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Adam Conrad <adconrad@0c3.net>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [powerpc] ICE: in extract_insn, at recog.c:2175 while building php3
Date: Tue, 25 Mar 2003 15:50:04 -0700
Package: gcc-3.2
Version: 1:3.2.3-0pre6
Severity: important

While building php3 on unstable/powerpc, gcc-3.2 ICEs on a file that gcc-2.95
handles fine.  Attemps were made with gcc-2.95 (success), gcc-3.2 (fail), and
gcc-snapshot (fail).

ii  gcc-2.95       2.95.4-17      The GNU C compiler.
ii  gcc-3.2        3.2.3-0pre6    The GNU C compiler
ii  gcc-snapshot   20030314-1     A SNAPSHOT of the The GNU Compiler Collectio

Output of the three gcc -v --save-temps invocations follow, and the preprocessed
source is attached as a tar.bz2

lucifer:~/build/php3/php3-3.0.18/apache/> gcc-2.95 -v --save-temps -O0 -g -Wall -DLINUX=22 -DEAPI -DTARGET="apache" -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O1 -fPIC -DSHARED_MODULE -I/usr/local/include -I.. -I.   -I/usr/include/apache-1.3                  -I/usr/local/include    -c ../functions/pack.c -o functions/pack.o
Reading specs from /usr/lib/gcc-lib/powerpc-linux/2.95.4/specs
gcc version 2.95.4 20011002 (Debian prerelease)
 /usr/lib/gcc-lib/powerpc-linux/2.95.4/cpp0 -lang-c -v -I/usr/local/include -I.. -I. -I/usr/include/apache-1.3 -I/usr/local/include -D__GNUC__=2 -D__GNUC_MINOR__=95 -DPPC -D__ELF__ -Dpowerpc -D__PPC__ -D__ELF__ -D__powerpc__ -D__PPC -D__powerpc -Acpu(powerpc) -Amachine(powerpc) -D__CHAR_UNSIGNED__ -D__OPTIMIZE__ -g -Wall -D__PIC__=2 -D__pic__=2 -D_CALL_SYSV -D_BIG_ENDIAN -D__BIG_ENDIAN__ -Amachine(bigendian) -D_ARCH_PPC -D__unix__ -D__linux__ -Dunix -D__unix -Dlinux -D__linux -Asystem(unix) -Asystem(posix) -DLINUX=22 -DEAPI -DTARGET=apache -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DSHARED_MODULE ../functions/pack.c pack.i
GNU CPP version 2.95.4 20011002 (Debian prerelease) (PowerPC GNU/Linux)
#include "..." search starts here:
#include <...> search starts here:
 /usr/local/include
 ..
 .
 /usr/include/apache-1.3
 /usr/local/include
 /usr/local/include
 /usr/lib/gcc-lib/powerpc-linux/2.95.4/include
 /usr/include
End of search list.
The following default directories have been omitted from the search path:
 /usr/lib/gcc-lib/powerpc-linux/2.95.4/../../../../include/g++-3
 /usr/lib/gcc-lib/powerpc-linux/2.95.4/../../../../powerpc-linux/include
End of omitted list.
 /usr/lib/gcc-lib/powerpc-linux/2.95.4/cc1 pack.i -quiet -dumpbase pack.c -g -O0 -O1 -Wall -version -fPIC -o pack.s
GNU C version 2.95.4 20011002 (Debian prerelease) (powerpc-linux) compiled by GNU C version 2.95.4 20011002 (Debian prerelease).
 as -mppc -V -Qy -K PIC -o functions/pack.o pack.s
GNU assembler version 2.13.90.0.18 (powerpc-linux) using BFD version 2.13.90.0.18 20030121 Debian GNU/Linux

lucifer:~/build/php3/php3-3.0.18/apache/> gcc-3.2 -v --save-temps -O0 -g -Wall -DLINUX=22 -DEAPI -DTARGET="apache" -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O1 -fPIC -DSHARED_MODULE -I/usr/local/include -I.. -I.   -I/usr/include/apache-1.3                  -I/usr/local/include    -c ../functions/pack.c -o functions/pack.o
Reading specs from /usr/lib/gcc-lib/powerpc-linux/3.2.3/specs
Configured with: ../src/configure -v --enable-languages=c,c++,java,f77,proto,objc,ada --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gxx-include-dir=/usr/include/c++/3.2 --enable-shared --with-system-zlib --enable-nls --without-included-gettext --enable-__cxa_atexit --enable-clocale=gnu --enable-java-gc=boehm --enable-objc-gc powerpc-linux
Thread model: posix
gcc version 3.2.3 20030316 (Debian prerelease)
 /usr/lib/gcc-lib/powerpc-linux/3.2.3/cpp0 -lang-c -v -I/usr/local/include -I.. -I. -I/usr/include/apache-1.3 -I/usr/local/include -D__GNUC__=3 -D__GNUC_MINOR__=2 -D__GNUC_PATCHLEVEL__=3 -D__GXX_ABI_VERSION=102 -DPPC -D__ELF__ -Dpowerpc -D__PPC__ -D__ELF__ -D__powerpc__ -D__PPC -D__powerpc -Acpu=powerpc -Amachine=powerpc -D__OPTIMIZE__ -D__STDC_HOSTED__=1 -D__PIC__=2 -D__pic__=2 -D_CALL_SYSV -D_BIG_ENDIAN -D__BIG_ENDIAN__ -Amachine=bigendian -D_ARCH_PPC -D__unix__ -D__gnu_linux__ -D__linux__ -Dunix -D__unix -Dlinux -D__linux -Asystem=unix -Asystem=posix -DLINUX=22 -DEAPI -DTARGET=apache -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DSHARED_MODULE ../functions/pack.c -Wall pack.i
GNU CPP version 3.2.3 20030316 (Debian prerelease) (cpplib) (PowerPC GNU/Linux)
ignoring nonexistent directory "/usr/powerpc-linux/include"
ignoring duplicate directory "/usr/local/include"
  as it is a non-system directory that duplicates a system directory
ignoring duplicate directory "/usr/local/include"
  as it is a non-system directory that duplicates a system directory
#include "..." search starts here:
#include <...> search starts here:
 ..
 .
 /usr/include/apache-1.3
 /usr/local/include
 /usr/lib/gcc-lib/powerpc-linux/3.2.3/include
 /usr/include
End of search list.
 /usr/lib/gcc-lib/powerpc-linux/3.2.3/cc1 -fpreprocessed pack.i -quiet -dumpbase pack.c -g -O0 -O1 -Wall -version -fPIC -o pack.s
GNU CPP version 3.2.3 20030316 (Debian prerelease) (cpplib) (PowerPC GNU/Linux)
GNU C version 3.2.3 20030316 (Debian prerelease) (powerpc-linux)
        compiled by GNU C version 3.2.3 20030316 (Debian prerelease).
../functions/pack.c: In function `php3_unpack':
../functions/pack.c:807: unrecognizable insn:
(insn 1508 1244 4 (set (reg/v:DF 298)
        (const_double:DF 0 [0x0] 0 [0x0] 0 [0x0])) -1 (nil)
    (nil))
../functions/pack.c:807: Internal compiler error in extract_insn, at recog.c:2148
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

lucifer:~/build/php3/php3-3.0.18/apache/> gcc-snapshot -v --save-temps -O0 -g -Wall -DLINUX=22 -DEAPI -DTARGET="apache" -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O1 -fPIC -DSHARED_MODULE -I/usr/local/include -I.. -I.   -I/usr/include/apache-1.3                  -I/usr/local/include    -c ../functions/pack.c -o functions/pack.o
Reading specs from /usr/lib/gcc-snapshot/lib/gcc-lib/powerpc-linux/3.3/specs
Configured with: /build/buildd/gcc-snapshot-20030314/src/configure -v --enable-languages=c,c++,java,f77,objc,ada --prefix=/usr/lib/gcc-snapshot --infodir=/share/info --mandir=/share/man --enable-shared --with-system-zlib --enable-nls --without-included-gettext --enable-__cxa_atexit --enable-clocale=gnu --enable-java-gc=boehm --enable-java-awt=xlib --with-cpp-install-dir=bin --enable-objc-gc --disable-softfloat powerpc-linux
Thread model: posix
gcc version 3.3 20030314 (prerelease)
 /usr/lib/gcc-snapshot/lib/gcc-lib/powerpc-linux/3.3/cc1 -E -quiet -v -I/usr/local/include -I.. -I. -I/usr/include/apache-1.3 -I/usr/local/include -D__GNUC__=3 -D__GNUC_MINOR__=3 -D__GNUC_PATCHLEVEL__=0 -D__PIC__=2 -D__pic__=2 -D__unix__ -D__gnu_linux__ -D__linux__ -Dunix -D__unix -Dlinux -D__linux -Asystem=unix -Asystem=posix -DLINUX=22 -DEAPI -DTARGET=apache -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DSHARED_MODULE ../functions/pack.c -Wall -fPIC -O0 -O1 pack.i
ignoring nonexistent directory "/usr/lib/gcc-snapshot/powerpc-linux/include"
ignoring duplicate directory "/usr/local/include"
  as it is a non-system directory that duplicates a system directory
ignoring duplicate directory "/usr/local/include"
  as it is a non-system directory that duplicates a system directory
#include "..." search starts here:
#include <...> search starts here:
 ..
 .
 /usr/include/apache-1.3
 /usr/local/include
 /usr/lib/gcc-snapshot/include
 /usr/lib/gcc-snapshot/lib/gcc-lib/powerpc-linux/3.3/include
 /usr/include
End of search list.
 /usr/lib/gcc-snapshot/lib/gcc-lib/powerpc-linux/3.3/cc1 -fpreprocessed pack.i -quiet -dumpbase pack.c -auxbase-strip functions/pack.o -g -O0 -O1 -Wall -version -fPIC -o pack.s
GNU C version 3.3 20030314 (prerelease) (powerpc-linux)
        compiled by GNU C version 3.3 20030314 (prerelease).
GGC heuristics: --param ggc-min-expand=47 --param ggc-min-heapsize=32054
../functions/pack.c: In function `php3_unpack':
../functions/pack.c:807: error: unrecognizable insn:
(insn 1274 1021 3 0 (nil) (set (reg/v:DF 311)
        (const_double:DF 0.0 [0x0.0p+0])) -1 (nil)
    (nil))
../functions/pack.c:807: internal compiler error: in extract_insn, at recog.c:2175
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

... Adam Conrad

-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux lucifer 2.4.20 #1 Sat Dec 28 20:41:54 MST 2002 ppc
Locale: LANG=C, LC_CTYPE=C

Versions of packages gcc-3.2 depends on:
ii  binutils                2.13.90.0.18-1.3 The GNU assembler, linker and bina
ii  cpp-3.2                 1:3.2.3-0pre6    The GNU C preprocessor
ii  gcc-3.2-base            1:3.2.3-0pre6    The GNU Compiler Collection (base 
ii  libc6                   2.3.1-16         GNU C Library: Shared libraries an
ii  libgcc1                 1:3.2.3-0pre6    GCC support library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 186299@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: <186299@bugs.debian.org>
Subject: RE: [powerpc] ICE: in extract_insn, at recog.c:2175 while building php3
Date: Tue, 25 Mar 2003 16:13:29 -0700
[Message part 1 (text/plain, inline)]
> -----Original Message-----
> From: Adam Conrad [mailto:adconrad@0c3.net] 
> 
> Output of the three gcc -v --save-temps invocations follow, 
> and the preprocessed source is attached as a tar.bz2

Well, it is now, at any rate.  <cough>

... Adam
[pack.tar.bz2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 186299@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: 186299-submitter@bugs.debian.org, 186299@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: workaround for php3 compilation
Date: Sat, 5 Apr 2003 15:11:22 +0200
The file pack.c compiles fine with -O0. Obviously the build process
tries this, but the -O0 gets overwritten by -O1.



Message sent on to Adam Conrad <adconrad@0c3.net>:
Bug#186299. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Message #21 received at 186299@bugs.debian.org (full text, mbox):

From: gcc-gnats@gcc.gnu.org
To: 186299@bugs.debian.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: 5 Apr 2003 13:56:00 -0000
Thank you very much for your problem report.
It has the internal identification `optimization/10315'.
The individual assigned to look at your
report is: unassigned. 

>Category:       optimization
>Responsible:    unassigned
>Synopsis:       [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
>Arrival-Date:   Sat Apr 05 13:56:00 UTC 2003



Noted your statement that Bug has been forwarded to gcc-gnats@gcc.gnu.org. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Copy sent to gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 186299-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@net.local>
To: control@bugs.debian.org
Cc: 186299-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #186299 to gcc-gnats as PR 10315
Date: Sat, 05 Apr 2003 16:12:56 +0200
# submitted Debian report #186299 to gcc-gnats as PR 10315
# http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=10315&database=gcc

forwarded 186299 gcc-gnats@gcc.gnu.org
retitle 186299 [PR 10315] [powerpc] ICE: in extract_insn, at recog.c:2175 building php3
thanks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Steven Bosscher <s.bosscher@student.tudelft.nl>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 186299@bugs.debian.org (full text, mbox):

From: Steven Bosscher <s.bosscher@student.tudelft.nl>
To: gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, nobody@gcc.gnu.org, gcc-prs@gcc.gnu.org, 186299@bugs.debian.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Mon, 07 Apr 2003 09:12:21 +0200
http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=10315

Is this problem present on mainline as well?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 186299@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Steven Bosscher <s.bosscher@student.tudelft.nl>, 186299@bugs.debian.org
Cc: gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, nobody@gcc.gnu.org, gcc-prs@gcc.gnu.org
Subject: Re: Bug#186299: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Tue, 8 Apr 2003 07:46:37 +0200
Steven Bosscher writes:
> http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=10315
> 
> Is this problem present on mainline as well?

yes, at least with CVS 20030302.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Geoffrey Keating <geoffk@apple.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 186299@bugs.debian.org (full text, mbox):

From: Geoffrey Keating <geoffk@apple.com>
To: gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, nobody@gcc.gnu.org, gcc-prs@gcc.gnu.org, 186299@bugs.debian.org
Subject: Re: optimization/10315: [3.2/3.3/3.4 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Tue, 22 Apr 2003 16:52:14 -0700
I'm not sure why this insn isn't being recognised, it should be a 
'movdf_hardfloat32'.
It's a valid machine instruction if pseudo-register 311 happens to be 
allocated to a pair of integer registers.
-- 
Geoff Keating <geoffk@apple.com>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to David Edelsohn <dje@watson.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 186299@bugs.debian.org (full text, mbox):

From: David Edelsohn <dje@watson.ibm.com>
To: adconrad@0c3.net, Steven Bosscher <s.bosscher@student.tudelft.nl>, 186299@bugs.debian.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Tue, 22 Apr 2003 22:39:29 -0400
	This bug is 32-bit PPC SVR4 specific, which makes it more
difficult for me to debug.  Can any of you look at extract_insn for this
failure and find out exactly what is not matching?  It's most likely that
some secondary requirement is failing because the RTL itself looks valid. 

Thanks, David




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to David Edelsohn <dje@watson.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #55 received at 186299@bugs.debian.org (full text, mbox):

From: David Edelsohn <dje@watson.ibm.com>
To: Geoff Keating <geoffk@geoffk.org>
Cc: Steven Bosscher <s.bosscher@student.tudelft.nl>, gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, 186299@bugs.debian.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Tue, 22 Apr 2003 23:14:37 -0400
	The problem is easy_fp_constant():

  /* If we are using V.4 style PIC, consider all constants to be hard.  */
  if (flag_pic && DEFAULT_ABI == ABI_V4)
    return 0;

This means that "input_operand" predicate fails for movdf_hardfloat32 when
presented with const_double:DF.  I'm not sure what's suppose to save us at
that point.

David



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Geoff Keating <geoffk@geoffk.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #60 received at 186299@bugs.debian.org (full text, mbox):

From: Geoff Keating <geoffk@geoffk.org>
To: dje@watson.ibm.com
Cc: s.bosscher@student.tudelft.nl, gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, 186299@bugs.debian.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Wed, 23 Apr 2003 11:14:26 -0700
> Cc: Steven Bosscher <s.bosscher@student.tudelft.nl>, gcc-gnats@gcc.gnu.org,
>    gcc-bugs@gcc.gnu.org, adconrad@0c3.net, 186299@bugs.debian.org
> Date: Tue, 22 Apr 2003 23:14:37 -0400
> From: David Edelsohn <dje@watson.ibm.com>
> X-OriginalArrivalTime: 23 Apr 2003 03:14:43.0793 (UTC) FILETIME=[7C849410:01C30946]
> 
> 	The problem is easy_fp_constant():
> 
>   /* If we are using V.4 style PIC, consider all constants to be hard.  */
>   if (flag_pic && DEFAULT_ABI == ABI_V4)
>     return 0;
> 
> This means that "input_operand" predicate fails for movdf_hardfloat32 when
> presented with const_double:DF.  I'm not sure what's suppose to save us at
> that point.

In that case, the RTL should never have been generated...

-- 
- Geoffrey Keating <geoffk@geoffk.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to David Edelsohn <dje@watson.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #65 received at 186299@bugs.debian.org (full text, mbox):

From: David Edelsohn <dje@watson.ibm.com>
To: Geoff Keating <geoffk@geoffk.org>
Cc: s.bosscher@student.tudelft.nl, gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, 186299@bugs.debian.org, gcc-patches@gcc.gnu.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Wed, 23 Apr 2003 16:09:59 -0400
>>>>> Geoff Keating writes:

> In that case, the RTL should never have been generated...

	The original C code appears to be buggy and GCC is not handling
the error very gracefully.  The C code is:

case 'f': {
        float v;

        memcpy(&v, &input[inputpos], sizeof(float));
        add_assoc_double(return_value, n, (double)v);

        break;
}

case 'd': {
        double v;

        memcpy(&v, &input[inputpos], sizeof(float));
        add_assoc_double(return_value, n, v);

        break;
}

Notice case 'd' memcpy uses sizeof(float), not sizeof(double).  GCC
inlines the memcpy(), but only half of "v" is set.
flow.c:initialize_uninitialized_subregs() simply jams in a zero in the
entry block for the function:

        insn = gen_move_insn (param.retval,
                              CONST0_RTX (GET_MODE (param.retval)));

	If I change sizeof(float) to sizeof(double) for case 'd', the
function compiles without error.  The sizeof(float) seems to be a typo, so
my first suggestion is fix the source code.

	GCC probably should not fall on its face when presented with this
type of error, but I am not sure who sure ensure a valid insn.
gen_move_insn() should not be called that late?

David



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Richard Henderson <rth@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #70 received at 186299@bugs.debian.org (full text, mbox):

From: Richard Henderson <rth@redhat.com>
To: David Edelsohn <dje@watson.ibm.com>
Cc: Geoff Keating <geoffk@geoffk.org>, s.bosscher@student.tudelft.nl, gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, 186299@bugs.debian.org, gcc-patches@gcc.gnu.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Wed, 23 Apr 2003 15:50:43 -0700
On Wed, Apr 23, 2003 at 04:09:59PM -0400, David Edelsohn wrote:
> 	GCC probably should not fall on its face when presented with this
> type of error, but I am not sure who sure ensure a valid insn.
> gen_move_insn() should not be called that late?

This is the same as PR8300, which I am looking at today.


r~



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Richard Henderson <rth@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #75 received at 186299@bugs.debian.org (full text, mbox):

From: Richard Henderson <rth@redhat.com>
To: David Edelsohn <dje@watson.ibm.com>, Geoff Keating <geoffk@geoffk.org>, s.bosscher@student.tudelft.nl, gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, 186299@bugs.debian.org, gcc-patches@gcc.gnu.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Wed, 23 Apr 2003 21:51:18 -0700
On Wed, Apr 23, 2003 at 03:50:43PM -0700, Richard Henderson wrote:
> This is the same as PR8300, which I am looking at today.

Well, not quite the same.  There are a couple of bugs here, any one
of which will fix the crash.

First, rs6000_emit_move decided that any time it was called with a
non-general_operand input, that it must be reload doing something
weird.  The attached patch (which has only been cross-tested vs the
pr test case) would appear to do the right thing.  Would someone 
please give this proper bootstrap testing?

Second, gen_move_insn doesn't have nearly the sort of checks
performed by emit_move_insn.  This is certainly a bug.  IMO
gen_move_insn should be implemented as

	rtx gen_move_insn (dst, src)
	{
	  start_sequence ();
	  emit_move_insn (dst, src);
	  ret = get_insns ();
	  end_sequence ();
	  return ret;
	}

However, I'm sure this will break something, though I don't
know what.  Certainly we should explore something like this
for mainline, but ...


r~



	* config/rs6000/rs6000.c (rs6000_emit_move): Only elide proper
	checks during reload; use validize_mem instead of adjust_address.

Index: config/rs6000/rs6000.c
===================================================================
RCS file: /cvs/gcc/gcc/gcc/config/rs6000/rs6000.c,v
retrieving revision 1.403.2.6
diff -c -p -d -r1.403.2.6 rs6000.c
*** config/rs6000/rs6000.c	1 Apr 2003 10:14:13 -0000	1.403.2.6
--- config/rs6000/rs6000.c	24 Apr 2003 04:42:11 -0000
*************** rs6000_emit_move (dest, source, mode)
*** 2640,2655 ****
  	}
      }
  
!   /* Handle the case where reload calls us with an invalid address;
!      and the case of CONSTANT_P_RTX.  */
!   if (!ALTIVEC_VECTOR_MODE (mode)
        && (! general_operand (operands[1], mode)
! 	  || ! nonimmediate_operand (operands[0], mode)
! 	  || GET_CODE (operands[1]) == CONSTANT_P_RTX))
!     {
!       emit_insn (gen_rtx_SET (VOIDmode, operands[0], operands[1]));
!       return;
!     }
    
    /* FIXME:  In the long term, this switch statement should go away
       and be replaced by a sequence of tests based on things like
--- 2640,2654 ----
  	}
      }
  
!   /* Handle the case where reload calls us with an invalid address.  */
!   if (reload_in_progress && mode == Pmode
        && (! general_operand (operands[1], mode)
! 	  || ! nonimmediate_operand (operands[0], mode)))
!     goto emit_set;
! 
!   /* Handle the case of CONSTANT_P_RTX.  */
!   if (GET_CODE (operands[1]) == CONSTANT_P_RTX)
!     goto emit_set;
    
    /* FIXME:  In the long term, this switch statement should go away
       and be replaced by a sequence of tests based on things like
*************** rs6000_emit_move (dest, source, mode)
*** 2864,2876 ****
    /* Above, we may have called force_const_mem which may have returned
       an invalid address.  If we can, fix this up; otherwise, reload will
       have to deal with it.  */
!   if (GET_CODE (operands[1]) == MEM
!       && ! memory_address_p (mode, XEXP (operands[1], 0))
!       && ! reload_in_progress)
!     operands[1] = adjust_address (operands[1], mode, 0);
  
    emit_insn (gen_rtx_SET (VOIDmode, operands[0], operands[1]));
-   return;
  }
  
  /* Initialize a variable CUM of type CUMULATIVE_ARGS
--- 2863,2873 ----
    /* Above, we may have called force_const_mem which may have returned
       an invalid address.  If we can, fix this up; otherwise, reload will
       have to deal with it.  */
!   if (GET_CODE (operands[1]) == MEM && ! reload_in_progress)
!     operands[1] = validize_mem (operands[1]);
  
+  emit_set:
    emit_insn (gen_rtx_SET (VOIDmode, operands[0], operands[1]));
  }
  
  /* Initialize a variable CUM of type CUMULATIVE_ARGS



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #80 received at 186299@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Richard Henderson <rth@redhat.com>, 186299@bugs.debian.org
Cc: David Edelsohn <dje@watson.ibm.com>, Geoff Keating <geoffk@geoffk.org>, s.bosscher@student.tudelft.nl, gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, gcc-patches@gcc.gnu.org
Subject: Re: Bug#186299: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Fri, 25 Apr 2003 07:28:17 +0200
Richard Henderson writes:
> On Wed, Apr 23, 2003 at 03:50:43PM -0700, Richard Henderson wrote:
> > This is the same as PR8300, which I am looking at today.
> 
> Well, not quite the same.  There are a couple of bugs here, any one
> of which will fix the crash.
> 
> First, rs6000_emit_move decided that any time it was called with a
> non-general_operand input, that it must be reload doing something
> weird.  The attached patch (which has only been cross-tested vs the
> pr test case) would appear to do the right thing.  Would someone 
> please give this proper bootstrap testing?

bootstrapped CVS 20030424 with and without this patch. no differences.

	Matthias

Results for 3.3 20030424 (prerelease) testsuite on powerpc-unknown-linux-gnu
LAST_UPDATED: Thu Apr 24 05:47:25 UTC 2003

Native configuration is powerpc-unknown-linux-gnu

		=== g++ tests ===


Running target unix
FAIL: g++.dg/compat/break/bitfield7 y_tst.o compile
UNRESOLVED: g++.dg/compat/break/bitfield7 x_tst.o-y_tst.o link 
UNRESOLVED: g++.dg/compat/break/bitfield7 x_tst.o-y_tst.o execute 
XPASS: g++.dg/other/packed1.C execution test
FAIL: g++.dg/parse/crash2.C  (test for errors, line 5)
FAIL: g++.dg/parse/crash2.C (test for excess errors)
FAIL: g++.benjamin/typedef01.C .* (test for errors, line 46)
FAIL: g++.other/elab1.C T is a template type parameter (test for errors, line 8)
XPASS: g++.other/init5.C  Execution test

		=== g++ Summary ===

# of expected passes		7899
# of unexpected failures	5
# of unexpected successes	2
# of expected failures		96
# of unresolved testcases	2
# of untested testcases		23
# of unsupported tests		18
/home/doko/snap/gcc-snapshot-20030424/build/gcc/testsuite/../g++ version 3.3 20030424 (prerelease)


		=== g77 tests ===


Running target unix

		=== g77 Summary ===

# of expected passes		1686
# of unsupported tests		8
/home/doko/snap/gcc-snapshot-20030424/build/gcc/testsuite/../g77 version 3.3 20030424 (prerelease)


		=== gcc tests ===


Running target unix
FAIL: gcc.dg/20020103-1.c scan-assembler-not LC
FAIL: gcc.dg/20020118-1.c execution test
FAIL: gcc.dg/altivec-5.c (test for excess errors)
FAIL: gcc.dg/duff-2.c (test for excess errors)

		=== gcc Summary ===

# of expected passes		21243
# of unexpected failures	4
# of expected failures		67
# of unsupported tests		153
/home/doko/snap/gcc-snapshot-20030424/build/gcc/xgcc version 3.3 20030424 (prerelease)


		=== objc tests ===


Running target unix
FAIL: objc.dg/naming-1.m  (test for errors, line 20)
FAIL: objc.dg/naming-1.m (test for excess errors)
FAIL: objc.dg/naming-2.m  (test for errors, line 7)
FAIL: objc.dg/naming-2.m (test for excess errors)

		=== objc Summary ===

# of expected passes		1149
# of unexpected failures	4
/home/doko/snap/gcc-snapshot-20030424/build/gcc/xgcc version 3.3 20030424 (prerelease)


		=== libjava tests ===


Running target unix
FAIL: Array_3 -O execution - source compiled test
WARNING: program timed out.
FAIL: SyncTest execution - gij test
WARNING: program timed out.
FAIL: SyncTest execution - gij test

		=== libjava Summary ===

# of expected passes		2937
# of unexpected failures	3
# of expected failures		16
# of untested testcases		15
		=== libstdc++-v3 tests ===


Running target unix
XPASS: 22_locale/collate_byname.cc execution test
XPASS: 22_locale/collate_members_char.cc execution test
XPASS: 22_locale/collate_members_wchar_t.cc execution test
XPASS: 22_locale/ctype_is_char.cc execution test
XPASS: 22_locale/ctype_is_wchar_t.cc execution test
XPASS: 22_locale/members.cc execution test
XPASS: 22_locale/messages_byname.cc execution test
XPASS: 22_locale/messages_members_char.cc execution test
XPASS: 22_locale/moneypunct_byname.cc execution test
XPASS: 22_locale/moneypunct_members_char.cc execution test
XPASS: 22_locale/moneypunct_members_wchar_t.cc execution test
XPASS: 22_locale/numpunct_byname.cc execution test
XPASS: 22_locale/numpunct_members_char.cc execution test
XPASS: 22_locale/numpunct_members_wchar_t.cc execution test

		=== libstdc++-v3 Summary ===

# of expected passes		453
# of unexpected successes	14
# of expected failures		14

Compiler version: 3.3 20030424 (prerelease) 
Platform: powerpc-unknown-linux-gnu
configure flags: --host=powerpc-linux -v --enable-languages=c,c++,java,f77,objc --prefix=/usr/lib/gcc-snapshot --infodir=/share/info --mandir=/share/man --enable-shared --with-system-zlib --enable-nls --without-included-gettext --enable-__cxa_atexit --enable-clocale=gnu --enable-java-gc=boehm --enable-java-awt=xlib --with-cpp-install-dir=bin --enable-multilibs --enable-objc-gc --disable-multilib
BOOT_CFLAGS=-O2 


Build Dependencies:
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  binutils       2.13.90.0.18-1 The GNU assembler, linker and binary utiliti
ii  libc6-dev      2.3.1-14       GNU C Library: Development Libraries and Hea


Patches that Debian applied in this version:

autoreconf:
  autoreconf several directories for proper mipsen libtool support

libobjc:
  Find gc.h header in /usr/include/gc for --enable-objc-gc enabled builds.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to David Edelsohn <dje@watson.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #85 received at 186299@bugs.debian.org (full text, mbox):

From: David Edelsohn <dje@watson.ibm.com>
To: Richard Henderson <rth@redhat.com>, Geoff Keating <geoffk@geoffk.org>, s.bosscher@student.tudelft.nl, gcc-gnats@gcc.gnu.org, gcc-bugs@gcc.gnu.org, adconrad@0c3.net, 186299@bugs.debian.org, gcc-patches@gcc.gnu.org
Subject: Re: optimization/10315: [3.2/3.3 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: Fri, 25 Apr 2003 09:57:14 -0400
>>>>> Richard Henderson writes:

> The attached patch (which has only been cross-tested vs the
> pr test case) would appear to do the right thing.  Would someone 
> please give this proper bootstrap testing?

	This patch bootstraps and does not introduce any new regressions
on AIX.  Looks good to me.

Thanks, David



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#186299; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to rth@gcc.gnu.org, 186299@bugs.debian.org, adconrad@0c3.net, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nobody@gcc.gnu.org, gcc-gnats@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #90 received at 186299@bugs.debian.org (full text, mbox):

From: rth@gcc.gnu.org
To: 186299@bugs.debian.org, adconrad@0c3.net, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nobody@gcc.gnu.org
Subject: Re: optimization/10315: [3.2/3.3/3.4 regression] [powerpc] ICE: in extract_insn, at recog.c:2175
Date: 25 Apr 2003 17:46:10 -0000
Synopsis: [3.2/3.3/3.4 regression] [powerpc] ICE: in extract_insn, at recog.c:2175

State-Changed-From-To: open->closed
State-Changed-By: rth
State-Changed-When: Fri Apr 25 17:46:10 2003
State-Changed-Why:
    http://gcc.gnu.org/ml/gcc-patches/2003-04/msg01849.html

http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=10315



Changed Bug title. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from gcc-gnats@gcc.gnu.org to http://gcc.gnu.org/PR10315. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Conrad <adconrad@0c3.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #99 received at 186299-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 186299-close@bugs.debian.org
Subject: Bug#186299: fixed in gcc-3.3 1:3.3ds9-1
Date: Sat, 17 May 2003 17:32:49 -0400
We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3-1_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3-1_all.deb
cpp-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3-1_i386.deb
fastjar_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3-1_i386.deb
fixincludes_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3-1_i386.deb
g++-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3-1_i386.deb
g77-3.3-doc_3.3-1_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3-1_all.deb
g77-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3-1_i386.deb
gcc-3.3-base_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3-1_i386.deb
gcc-3.3-doc_3.3-1_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3-1_all.deb
gcc-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3-1_i386.deb
gcc-3.3_3.3ds9-1.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3ds9-1.diff.gz
gcc-3.3_3.3ds9-1.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3ds9-1.dsc
gcc-3.3_3.3ds9.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3ds9.orig.tar.gz
gcj-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3-1_i386.deb
gij-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3-1_i386.deb
gnat-3.3-doc_3.3-1_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3-1_all.deb
gnat-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3-1_i386.deb
gobjc-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3-1_i386.deb
gpc-2.1-3.3-doc_3.3.20030507-1_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.20030507-1_all.deb
gpc-2.1-3.3_3.3.20030507-1_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.20030507-1_i386.deb
libffi2-dev_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3-1_i386.deb
libffi2_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3-1_i386.deb
libg2c0_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3-1_i386.deb
libgcc1_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3-1_i386.deb
libgcj-common_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3-1_i386.deb
libgcj4-dev_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3-1_i386.deb
libgcj4_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3-1_i386.deb
libobjc1_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3-1_i386.deb
libstdc++5-3.3-dbg_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3-1_i386.deb
libstdc++5-3.3-dev_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3-1_i386.deb
libstdc++5-3.3-doc_3.3-1_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3-1_all.deb
libstdc++5-3.3-pic_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3-1_i386.deb
libstdc++5_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3-1_i386.deb
protoize_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3-1_i386.deb
treelang-3.3_3.3-1_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 186299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 May 2003 07:13:57 +0200
Source: gcc-3.3
Binary: libgnat3.15 gcc-3.3-nof gcc-3.3 libobjc1 libgcc1 lib64g2c0 libstdc++5-3.3-doc libgcj4 gpc-2.1-3.3-doc libstdc++5 cpp-3.3-doc protoize cpp-3.3 libstdc++5-3.3-dbg g77-3.3-doc gpc-2.1-3.3 g77-3.3 libgcj4-dev gcc-3.3-doc lib64objc1 lib64ffi2 libstdc++5-3.3-dev libffi2-dev gcj-3.3 libgcj-common gobjc-3.3 lib64stdc++5 gcc-3.3-soft-float lib64gcj4 treelang-3.3 libg2c0-dev lib64gcc1 fastjar lib64gnat3.15 fixincludes libg2c0 gij-3.3 libstdc++5-3.3-pic gcc-3.3-base g++-3.3 gnat-3.3 libffi2 gnat-3.3-doc
Architecture: source i386 all
Version: 1:3.3ds9-1
Distribution: unstable
Urgency: low
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library development
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 2910 12253 20695 21255 27878 33786 34876 35477 42662 42989 43001 43119 43170 45440 46181 47981 48530 50529 51456 51651 53698 55291 55967 56867 58219 59005 59232 61806 62309 64628 64832 65406 65686 65687 67631 68963 68987 70743 72933 79225 80468 81122 83221 83363 83550 84969 85535 85934 87540 88260 88694 90363 90666 93708 94701 94891 95318 97603 105309 105569 114029 118670 118781 120333 127489 128367 130415 131454 131890 134558 136630 136659 137382 140427 141797 142844 144602 146006 148603 150558 151196 151357 151671 151675 152315 152709 154599 154767 156450 157292 158704 161615 162074 165110 165829 165992 166766 167439 168310 168346 170994 172956 176387 178596 178830 178909 178965 179363 179597 180493 180567 180750 180937 181679 184108 184753 184800 184862 185903 186139 186299 186447 187910 188527 189702 190066 191407
Changes: 
 gcc-3.3 (1:3.3ds9-1) unstable; urgency=low
 .
   * gcc-3.3 final release.
     See /usr/share/doc/gcc-3.3/NEWS.{gcc,html}.
   * First merge of i386/x86-64 biarch support (Arnd Bergmann).
     Disabled by default. Closes: #190066.
   * New gpc-20030507 version.
   * Upstream gpc update to fix netbsd build failure (closes: #191407).
   * Add arm-xscale.dpatch, arm-10730.dpatch, arm-tune.dpatch, copied
     from gcc-3.2 (Phil Blundell).
   * Closing bug reports reported against older gcc versions (some of them
     still present in Debian, but not anymore as the default compiler).
     Usually, forwarded bug reports are linked to
         http://gcc.gnu.org/PR<upstream bug number>
     The upstream bug number usually can be found in the Debian reports.
 .
   * Closed reports reported against gcc-3.1.x, gcc-3.2.x and fixed in gcc-3.3:
     - General:
       + GCC accepts multi-line strings without \ or " " &c (closes: #2910).
       + -print-file-name sometimes fails (closes: #161615).
       + ICE: reporting routines re-entered (closes: #179597, #180937).
       + Misplaced paragraph in gcc documentation (closes: #179363).
       + Error: suffix or operands invalid for `div' (closes: #150558).
       + builtin memcmp() could be optimised (closes: #85535).
     - Ada:
       + Preelaborate, exceptions, and -gnatN (closes: #181679).
     - C:
       + Duplicate loop conditions even with -Os (closes: #94701).
       + ICE (signal 11) (closes: #65686).
     - C++:
       + C++ error on virtual function which uses ... (closes: #165829).
       + ICE when warning about cleanup nastiness in switch statements
         (closes: #184108).
       + Fails to compile virtual inheritance with variable number of
         argument method (closes: #151357).
       + xmmintrin.h broken for c++ (closes: #168310).
       + Stack corruption with variable-length automatic arrays and virtual
         destructors (closes: #188527).
       + ICE on illegal code (closes: #184862).
       + _attribute__((unused)) is ignored in C++ (closes: #45440).
       + g++ handles &(void *)foo bizzarely (closes: #79225).
       + ICE (with wrong code, though) (closes: #81122).
     - Java:
       + Broken zip file handling (closes: #180567).
     - ObjC:
       + @protocol forward definitions do not work (closes: #80468).
     - Architecture specific:
       - alpha
         + va_start is off by one (closes: #186139).
         + ICE while building kseg/ddd (closes: #184753).
         + g++ -O2 optimization error (closes: #70743).
       - arm
         + ICE with -O2 in change_address_1 (closes: #180750).
         + gcc optimization error with -O2, affecting bison (closes: #185903).
       - hppa
         + ICE in insn_default_length (closes: #186447).
       - ia64
         + gcc-3.2 fails w/ optimization (closes: #178830).
       - i386
         + unnecessary generation of instruction cwtl (closes: #95318).
         + {athlon} ICE building mplayer (closes: #184800).
         + {pentium4} ICE while compiling mozilla with -march=pentium4
           (closes: #187910).
         + i386 optimisation: joining tests (closes: #105309).
       - m68k
         + ICE in instantiate_virtual_regs_1 (closes: #180493).
         + gcc optimizer bug on m68k (closes: #64832).
       - powerpc
         + ICE in extract_insn, at recog.c:2175 building php3 (closes: #186299).
         + ICE with -O -Wunreachable-code (closes: #189702).
       - s390
         + Operand out of range at assembly time when using -O2
           (closes: #178596).
       - sparc
         + gcc-3.2 regression (wrong code) (closes: #176387).
         + ICE in mem_loc_descriptor when optimizing (closes: #178909).
         + ICE in gen_reg_rtx when optimizing (closes: #178965).
         + Optimisation leads to unaligned access in memcpy (closes: #136659).
 .
   * Closed reports reported against gcc-3.0 and fixed in gcc-3.2.x:
     - General:
       + Use mkstemp instead of mktemp (closed: #127802).
     - Preprocessor:
       + Fix redundant error message from cpp (closed: #100722).
     - C:
       + Optimization issue on ix86 (pointless moving) (closed: #97904).
       + Miscompilation of allegro on ix86 (closed: #105741).
       + Fix generation of ..ng references for static aliases (alpha-linux).
         (closed: #108036).
       + ICE compiling pari on hppa (closed: #111613).
       + ICE on ia64 in instantiate_virtual_regs_1 (closed: #121668).
       + ICE in c-typeck.c (closed: #123687).
       + ICE in gen_subprogram_die on alpha (closed: #127890).
       + SEGV in initialization of flexible char array member (closed: #131399).
       + ICE on arm compiling lapack (closed: #135967).
       + ICE in incomplete_type_error (closed: #140606).
       + Fix -Wswitch (also part of -Wall) (closed: #140995).
       + Wrong code in mke2fs on hppa (closed: #150232).
       + sin(a) * sin(b) gives wrong result (closed: #164135).
     - C++:
       + Error in std library headers on arm (closed: #107633).
       + ICE nr. 19970302 (closed: #119635).
       + std::wcout does not perform encoding conversions (closed: #128026).
       + SEGV, when compiling iostream.h with -fPIC (closed: #134315).
       + Fixed segmentation fault in included code for <rope> (closed: #137017).
       + Fix with exception handling and -O (closed: #144232).
       + Fix octave-2.1 build failure on ia64 (closed: #144584).
       + nonstandard overloads in num_get facet (closed: #155900).
       + ICE in expand_end_loop with -O (closed: #158371).
     - Fortran:
       + Fix blas build failure on arm (closed: #137959).
     - Java:
       + Interface members are public by default (closed: #94974).
       + Strange message with -fno-bounds-check in combination with -W.
         (closed: #102353).
       + Crash in FileWriter using IOException (closed: #116128).
       + Fix ObjectInputStream.readObject() calling constructors.
         (closed: #121636).
       + gij: better error reporting on `class not found' (closed: #125649).
       + Lockup during .java->.class compilation (closed: #141899).
       + Compile breaks using temporary inner class instance (closed: #141900).
       + Default constructor for inner class causes broken bytecode.
         (closed: #141902).
       + gij-3.2 linked against libgcc1 (closed: #165180).
       + gij-wrapper understands -classpath parameter (closed: #146634).
       + gij-3.2 doesn't ignore -jar when run as "java" (closed: #167673).
     - ObjC:
       + ICE on alpha (closed: #172353).
 .
   * Closed reports reported against gcc-2.95 and fixed in newer versions:
     - General:
       + Undocumented option -pthread (closes: #165110).
       + stdbool.h broken (closes: #167439).
       + regparm/profiling breakage (closes: #20695).
       + another gcc optimization error (closes: #51456).
       + ICE in `output_fix_trunc' (closes: #55967).
       + Fix "Unable to generate reloads for" (closes: #58219, #131890).
       + gcc -c -MD x/y.c -o x/y.o leaves y.d in cwd (closes: #59232).
       + Compiler error with -O2 (closes: #67631).
       + ICE (unrecognizable insn) compiling php4 (closes: #83550, #84969).
       + Another ICE (closes: #90666).
       + man versus info inconsistency (-W and -Wall) (closes: #93708).
       + ICE on invalid extended asm (closes: #136630).
       + ICE in `emit_no_conflict_block' compiling perl (closes: #154599).
       + ICE in `gen_tagged_type_instantiation_die'(closes: #166766).
       + ICE on __builtin_memset(s, 0, -1) (closes: #170994).
       + -Q option to gcc appears twice in the documentation (closes: #137382).
       + New options for specifying targets:- -MQ and -MT (closes: #27878).
       + Configure using --enable-nls (closes: #51651).
       + gcc -dumpspecs undocumented (closes: #65406).
     - Preprocessor:
       + cpp fails to parse macros with varargs correctly(closes: #154767).
       + __VA_ARGS__ stringification crashes preprocessor if __VA_ARGS__ is
         empty (closes: #152709).
       + gcc doesn't handle empty args in macro function if there is only
         one arg(closes: #156450).
     - C:
       + Uncaught floating point exception causes ICE (closes: #33786).
       + gcc -fpack-struct doesn't pack structs (closes: #64628).
       + ICE in kernel (matroxfb) code (closes: #151196).
       + gcc doesn't warn about unreachable code (closes: #158704).
       + Fix docs for __builtin_return_address(closes: #165992).
       + C99 symbols in limits.h not defined (closes: #168346).
       + %zd printf spec generates warning, even in c9x mode (closes: #94891).
       + Update GCC attribute syntax (closes: #12253, #43119).
     - C++ & libstdc++-v3:
       + template and virtual inheritance bug (closes: #152315).
       + g++ has some troubles with nested templates (closes: #21255).
       + vtable thunks implementation is broken (closes: #34876, #35477).
       + ICE for templated friend (closes: #42662).
       + ICE compiling mnemonic (closes: #42989).
       + Deprecated: result naming doesn't work for functions defined in a
         class (closes: #43170).
       + volatile undefined ... (closes: #50529).
       + ICE concerning templates (closes: #53698).
       + Program compiled -O3 -malign-double segfaults in ofstream::~ofstream
         (closes: #56867).
       + __attribute__ ((constructor)) doesn't work with C++ (closes: #61806).
       + Another ICE (closes: #65687).
       + ICE in `const_hash' (closes: #72933).
       + ICE on illegal code (closes: #83221).
       + Wrong code with -O2 (closes: #83363).
       + ICE on template class (closes: #85934).
       + No warning for missing return in non-void member func (closes: #88260).
       + Not a bug/fixed in libgcc1: libgcc.a symbols end up exported by
         shared libraries (closes: #118670).
       + ICE using nested templates (closes: #118781).
       + Another ICE with templates (closes: #127489).
       + More ICEs (closes: #140427, #141797).
       + ICE when template declared after use(closes: #148603).
       + template function default arguments are not handled (closes: #157292).
       + Warning when including stl.h (closes: #162074).
       + g++ -pedantic-errors -D_GNU_SOURCE cannot #include <complex>
         (closes: #151671).
       + c++ error message improvement suggestion (closes: #46181).
       + Compilation error in stl_alloc.h with -fhonor-std (closes: #59005).
       + libstdc++ has no method at() in stl_= (closes: #68963).
     - Fortran:
       + g77 crash (closes: #130415).
     - ObjC:
       + ICE: program cc1obj got fatal signal 11 (closes: #62309).
       + Interface to garbage collector is undocumented. (closes: #68987).
     - Architecture specific:
       - alpha
         + Can't compile with define gnu_source with stdio and curses
           (closes: #97603).
         + Header conflicts on alpha (closes: #134558).
         + lapack-dev: cannot link on alpha (closes: #144602).
         + ICE `fixup_var_refs_1' (closes: #43001).
         + Mutt segv on viewing list of attachments (closes: #47981).
         + ICE building open-amulet (closes: #48530).
         + ICE compiling hatman (closes: #55291).
         + dead code removal in switch() broken (closes: #142844).
       - arm
         + Miscompilation using -fPIC on arm (closes: #90363).
         + infinite loop with -O on arm (closes: #151675).
       - i386
         + ICE when using -mno-ieee-fp and -march=i686 (closes: #87540).
       - m68k
         + Optimization (-O2) broken on m68k (closes: #146006).
       - mips
         + g++ exception catching does not work... (closes: #105569).
         + update-menus gets Bus Error (closes: #120333).
       - mipsel
         + aspell: triggers ICE on mipsel (closes: #128367).
       - powerpc
         + -O2 produces wrong code (gnuchess example) (closes: #131454).
       - sparc
         + Misleading documentation for -malign-{jump,loop,function}s
           (closes: #114029).
         + Sparc GCC issue with -mcpu=ultrasparc (closes: #172956).
         + flightgear: build failure on sparc (closes: #88694).
Files: 
 3d2b083f9a2b539d296ef5a911343705 2307 devel standard gcc-3.3_3.3ds9-1.dsc
 fa100f062223973e958be2ab18e5f688 24926760 devel standard gcc-3.3_3.3ds9.orig.tar.gz
 37bbc04e3dad6b933a30504ec4fe6b08 2204853 devel standard gcc-3.3_3.3ds9-1.diff.gz
 79ea1bdd209725be2bb3ee2e5537da48 82876 doc optional cpp-3.3-doc_3.3-1_all.deb
 000578b291dde293992bcd0156f7a7d0 3093140 doc optional libstdc++5-3.3-doc_3.3-1_all.deb
 e59a1eb9c96c802db82d4e6b59af2541 274170 doc optional g77-3.3-doc_3.3-1_all.deb
 a857f599f57e548603c5ab9825b144ff 348964 doc optional gnat-3.3-doc_3.3-1_all.deb
 cb59ea86b3d2c4380e958c3eee6d962b 76210 doc optional gpc-2.1-3.3-doc_3.3.20030507-1_all.deb
 292853d621b1c8b8ffa13c74e539e6ec 602750 doc optional gcc-3.3-doc_3.3-1_all.deb
 216eac130d297e3e30b112d24a4bc8fd 138902 devel important gcc-3.3-base_3.3-1_i386.deb
 f3bb1d18e89f7af1f605da89cbaa2b2f 67788 libs important libgcc1_3.3-1_i386.deb
 b90a7bcee01d015cc7414be5c2f6d25c 1305878 interpreters standard cpp-3.3_3.3-1_i386.deb
 a3aab24cd88de2e34db3ad8a633ce125 22584 devel optional protoize_3.3-1_i386.deb
 b7654a977ea0da9b8fa54ddab189de5d 47206 devel optional fixincludes_3.3-1_i386.deb
 c63d3d44280d95bbe60ced8aad62c6a5 1379180 devel optional gobjc-3.3_3.3-1_i386.deb
 d2e1b5e3d520a38be5333be3ccfd2899 124356 libs optional libobjc1_3.3-1_i386.deb
 9b7315a4e5f071018ec374b548b76228 12914 devel optional gij-3.3_3.3-1_i386.deb
 c9c6efe00a0679878685b1e84211e126 4010832 libs optional libgcj4_3.3-1_i386.deb
 fb35ad9b8ecb76c3982cb2384e359da3 54070 libs optional libgcj-common_3.3-1_i386.deb
 558b45f1c621ea045eab117e32a87c69 1604634 devel optional gcj-3.3_3.3-1_i386.deb
 06967a15447e2ef1dd04d5a04dea6699 4819306 libdevel optional libgcj4-dev_3.3-1_i386.deb
 028dc977e84e9402617c718380f981dd 111618 devel extra fastjar_3.3-1_i386.deb
 8757ca758feac2763aa62fddbe145429 64244 libs optional libffi2_3.3-1_i386.deb
 70a7aab8f3f57cd9974f3023ceddee19 10724 libdevel optional libffi2-dev_3.3-1_i386.deb
 979084825831a155c6f14da19e76ff79 1667548 devel standard g++-3.3_3.3-1_i386.deb
 a759a7b2f2204d6f7798d6c7cf08b712 268318 base important libstdc++5_3.3-1_i386.deb
 48583aab7407576b4a9cf225cb22d60a 735648 libdevel optional libstdc++5-3.3-dev_3.3-1_i386.deb
 98f58480d80c7222495e70600e2b49dd 309792 libdevel extra libstdc++5-3.3-pic_3.3-1_i386.deb
 010ddd4bc2b901e2881ceadcae4d8731 5004206 libdevel extra libstdc++5-3.3-dbg_3.3-1_i386.deb
 d76d5d48818d2252e62f67fd8a0e338a 47258 libs optional libg2c0_3.3-1_i386.deb
 4ec194476feb6c060caa878d44e4a9b7 1511860 devel optional g77-3.3_3.3-1_i386.deb
 00192418de41835341ea92e8a105c1d8 6106558 devel optional gnat-3.3_3.3-1_i386.deb
 70fbb333b1766707bbac9451d473793e 1238548 devel optional treelang-3.3_3.3-1_i386.deb
 6f3a976e18c5d2bc5f31de344262b15f 1938336 devel optional gpc-2.1-3.3_3.3.20030507-1_i386.deb
 342cf1a42b035e38dbe89003edafb18f 1295518 devel standard gcc-3.3_3.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+xnq0StlRaw+TLJwRAiLKAJ0WkgHHwXa9PnIFCznl9vaw+lPmPgCbBOKh
LGKxwAkaRKfU3nZ6MRTiMUo=
=53cd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:44:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.